# Centpkg
Centpkg is a wrapper for [rpkg](https://fedorahosted.org/rpkg/) which interacts
with RPM git repositories like the ones hosted at http://git.centos.org. Rpkg also provides
some convenience methods/commands for local builds via mock or rpmbuild, for
interacting with koji, and for generating patches.

Not all typical rpkg commands have been implemented yet.  If the command you
are looking for doesn't appear to work, please open an issue.

This repository provides two executable scripts, centpkg and centpkg-sig.

## centpkg

Executable centpkg allows you to interact with CentOS Stream dist-git and CentOS Stream koji instance.

## centpkg-sig

Executable centpkg-sig allows you to interact with CentOS Linux dist-git and CentOS Linux koji instance.

## Supported commands

Here is the list currently supported commands by centpkg:

* clone
* sources
* new-sources
* fork

Here is the list currently supported commands by centpkg-sig:

* clone

## Current workflow

For a sig working on a package in git.centos.org, the following workflow is
recommended:

    # In this example a member of the virt sig would like to scratch-build a2ps on EL6
    $ centpkg-sig clone -b virt6 a2ps
    $ cd a2ps
    $ centpkg-sig build --srpm --scratch

    # Tagged builds can be done also
    $ centpkg-sig build --srpm


## License

Unless otherwise specified, all files are licensed under GPLv2+.
See COPYING for more license information
